#include <FastLED.h>

// Define the number of LEDs
#define NUM_LEDS 5
#define LED_PIN D2

// Create an array to hold the LEDs
CRGB leds[NUM_LEDS];

void setup() {
  // Initialize the LED strip
  FastLED.addLeds<WS2812, LED_PIN, GRB>(leds, NUM_LEDS);
}

void loop() {
  static uint8_t hue = 0; // Start with hue at 0

  // Set all LEDs to the same color
  fill_solid(leds, NUM_LEDS, CHSV(hue, 255, 255));

  // Show the updated LEDs
  FastLED.show();

  // Increment the hue slightly to cycle through colors
  hue++;

  // Add a short delay for a smooth transition
  delay(20);
}
